version: "3"

networks:
  learning-platform:
    external: true

services:
  learning-platform:
    image: git.labs.respellion.tech/respellion/learning-platform/learning-platform:latest
    container_name: learning-platform
    restart: unless-stopped
    networks:
      - learning-platform

  pocketbase-learning:
    image: ghcr.io/muchobien/pocketbase:latest
    container_name: pocketbase-learning
    restart: unless-stopped
    command: ["serve", "--http=0.0.0.0:8090", "--dir=/pb/pb_data"]
    volumes:
      - pb_data:/pb/pb_data
    networks:
      - learning-platform

volumes:
  pb_data:
